from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XValidatableFormComponent(XValidatable, Protocol):
    def isValid(self) -> bool: ...
    def getCurrentValue(self) -> Any: ...
